         title sub-module
code     segment 'CODE'  public
         public hexw 

         extrn display : far
         extrn kbin    :  far
         extrn crlf    :  far
         extrn hex     :   far



         assume cs:code 
;===================== 
hexw      proc  far ; содержимое DX выводится в виде 4-х разрядного 16-го числа
          push  dx
          push  di
          mov   di,dx
          mov   dl,dh
          call  hex
          mov   dx,di
          call  hex
          mov   dl,' '
          call  display
          pop   di
          pop   dx 
          ret
hexw      endp
code      ends
          end 
